Wine 1.7.21 (Development Version) Released – Install in RedHat and Debian Based Systems
================================================================================
Wine, a most popular and powerful open source application for Linux, that used to run Windows based applications and games on Linux Platform without any trouble.

![Install Wine (Development Version) in Linux](http://www.tecmint.com/wp-content/uploads/2014/05/Install-Wine-Development-Version.png)
Install Wine (Development Version) in Linux

**WineHQ** team, recently announced a new development version of **Wine 1.7.21**. This new development build arrives with a number of new important features and bug fixes.

Wine team, keep releasing their development builds almost on weekly basis and adding numerous new features and fixes. Each new version brings support for new applications and games, making Wine a most popular and must have tool for every user, who want to run Windows based software in a Linux platform.

According to the changelog, following key features are added in this release:

- Added support for critical sections in the C runtime.
- The Unicode data updated to Unicode 7.
- Implemented support for interlaced PNG encoding.
- Added an initial stub for the Package library.
- And several bug fixes have been implemented.

For more in-depth details about this build can be found at the official [changelog][1] page.

This article guides you how to install most recent development version of **Wine 1.7.21** on **Red Hat** and **Debian** based systems such as CentOS, Fedora, Ubuntu, Linux Mint and other supported distributions.

### Installing Wine 1.7.21 Development Version in Linux ###

Unfortunately, there are no official Wine repository available for the **Red Hat** based systems and the only way to install Wine, is to compile it from source. To do this, you need to install some dependency packages such as gcc, flex, bison, libX11-devel freetype-devel and Development Tools, etc. These packages are must required to compile Wine from source. Let’s install them using following **YUM** command.

#### On RedHat, Fedora and CentOS ####

    # yum -y groupinstall 'Development Tools'
    # yum -y install flex bison libX11-devel freetype-devel

Next, download the latest development version of Wine (i.e. **1.7.21**) and extract the source tallball package using the following commands.

    $ cd /tmp
    $ wget http://citylan.dl.sourceforge.net/project/wine/Source/wine-1.7.21.tar.bz2
    $ tar -xvf wine-1.7.21.tar.bz2 -C /tmp/

Now, it’s time to compile and build Wine installer using the following commands as normal user. (**Note**: The installation process might take up-to **15-20** minutes depending upon your internet and hardware speed, during installation it will ask you to enter **root** password.

**On 32-Bit Systems**

    $ cd wine-1.7.21/
    $ ./tools/wineinstall

**On 64-Bit Systems**

    $ cd wine-1.7.21/
    $ ./configure --enable-win64
    $ make
    # make install

#### On Ubuntu, Debian and Linux Mint ####

Under **Ubuntu** based systems, you can easily install the latest development build of Wine using the official **PPA**. Open a terminal and run the following commands with sudo privileges.

    $ sudo add-apt-repository ppa:ubuntu-wine/ppa 
    $ sudo apt-get update
    $ sudo apt-get install wine 1.7 winetricks

**Note**: At the time of writing this article, available version was **1.7.20** and the new build not yet updated in official Wine Repository, but the above instructions will install **1.7.21** when they made available.

Once the installation completes successfully, you can install or run any windows based applications or games using wine as shown below.

    $ wine notepad
    $ wine notepad.exe 
    $ wine c:\\windows\\notepad.exe

**Note**: Please remember, this is a development build and cannot be installed or used on production systems. It is advised to use this version only for testing purpose.

If you’re looking for a most recent stable version of Wine, you can go through our following articles, that describes how to install most latest version on almost all Linux environments.

- [Install Wine 1.6.2 (Stable) in RHEL, CentOS and Fedora][2]
- [Install Wine 1.6.2 (Stable) in Debian, Ubuntu and Mint][3]

### Reference Links ###

- [WineHQ Homepage][4]

----------

![](http://1.gravatar.com/avatar/7badddbc53297b2e8ed7011cf45df0c0?s=80&d=blank&r=G)

#### Ravi Saive ####

Owner at [TecMint.com][5]

Simple Word a Computer Geek and Linux Guru who loves to share tricks and tips on Internet. Most Of My Servers runs on Open Source Platform called Linux.

--------------------------------------------------------------------------------

via: http://www.tecmint.com/install-wine-in-linux/

译者：[译者ID](https://github.com/译者ID) 校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:http://www.winehq.org/announce/1.7.21
[2]:http://www.tecmint.com/install-wine-in-rhel-centos-and-fedora/
[3]:http://www.tecmint.com/install-wine-on-ubuntu-and-linux-mint/
[4]:http://www.winehq.org/
[5]:http://www.tecmint.com/